package com.trade.service.contract.dto;

import java.time.LocalDateTime;
import java.util.List;

public class SignCallback2Biz {

    private String bizType;
    private String signFlowId;
    private Integer signStatus;
    private LocalDateTime signTime;
    private List<SignedFile2Biz> signedFiles;

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getSignFlowId() {
        return signFlowId;
    }

    public void setSignFlowId(String signFlowId) {
        this.signFlowId = signFlowId;
    }

    public Integer getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Integer signStatus) {
        this.signStatus = signStatus;
    }

    public LocalDateTime getSignTime() {
        return signTime;
    }

    public void setSignTime(LocalDateTime signTime) {
        this.signTime = signTime;
    }

    public List<SignedFile2Biz> getSignedFiles() {
        return signedFiles;
    }

    public void setSignedFiles(List<SignedFile2Biz> signedFiles) {
        this.signedFiles = signedFiles;
    }

    public static class SignedFile2Biz {

        private Long rawFileId;
        private Long fileId;
        private String fileType;

        public Long getRawFileId() {
            return rawFileId;
        }

        public void setRawFileId(Long rawFileId) {
            this.rawFileId = rawFileId;
        }

        public Long getFileId() {
            return fileId;
        }

        public void setFileId(Long fileId) {
            this.fileId = fileId;
        }

        public String getFileType() {
            return fileType;
        }

        public void setFileType(String fileType) {
            this.fileType = fileType;
        }
    }
}
